<?php
# ******************************************* LICENCE******************************************* 
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ********************************************************************************** 
# POSH Users management - regenerate a user page
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ********************************************************************************** 

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$granted="A";
$pagename="admin/scr_user_refreshpage.php";
//includes
require_once('includes.php');

require_once('../includes/xml.inc.php');

//control that the current administrator has access to the script
$grantedCalls = array("userstab","pagestab");
require('adm_ctrl_access.php');

$file=new xmlFile();

$file->header("userPageRefresh");

$profileid = $_POST['id'];
$userid = $_POST['userid'];
$pageid = $_POST['pageid'];

$chk = $DB->execute($users_removePageModule,$DB->escape($profileid));

$chk2 = $DB->execute($user_backToDefaultPage_removeWidgets,	$DB->escape($userid),
															$DB->escape($profileid),
															$DB->escape($pageid));

$file->status($chk && $chk2);

$file->footer();        

?>